"use strict";
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("./base"));
const utils_1 = require("./utils");
module.exports = {
    env: {
        browser: true,
        es6: true,
    },
    parser: '@typescript-eslint/parser',
    parserOptions: {
        ecmaVersion: base_1.default.parserOptions.ecmaVersion,
        sourceType: 'module',
    },
    plugins: ['@angular-eslint'],
    rules: {
        // plugin:@angular-eslint **************************************************
        // rules URL: https://github.com/angular-eslint/angular-eslint#status-of-codelyzer-rules-conversion
        '@angular-eslint/contextual-decorator': utils_1.WARN,
        '@angular-eslint/component-class-suffix': [
            utils_1.WARN,
            {
                suffixes: ['Component', 'Page', 'Dialog'],
            },
        ],
        '@angular-eslint/component-max-inline-declarations': utils_1.WARN,
        '@angular-eslint/component-selector': utils_1.WARN,
        '@angular-eslint/contextual-lifecycle': utils_1.ERROR,
        '@angular-eslint/directive-class-suffix': utils_1.WARN,
        '@angular-eslint/directive-selector': utils_1.WARN,
        '@angular-eslint/no-attribute-decorator': utils_1.WARN,
        '@angular-eslint/no-conflicting-lifecycle': utils_1.WARN,
        '@angular-eslint/no-empty-lifecycle-method': utils_1.WARN,
        '@angular-eslint/no-forward-ref': utils_1.WARN,
        '@angular-eslint/no-host-metadata-property': utils_1.WARN,
        '@angular-eslint/no-input-prefix': utils_1.WARN,
        '@angular-eslint/no-input-rename': utils_1.WARN,
        '@angular-eslint/no-inputs-metadata-property': utils_1.WARN,
        '@angular-eslint/no-lifecycle-call': utils_1.WARN,
        '@angular-eslint/no-output-native': utils_1.WARN,
        '@angular-eslint/no-output-on-prefix': utils_1.WARN,
        '@angular-eslint/no-output-rename': utils_1.WARN,
        '@angular-eslint/no-outputs-metadata-property': utils_1.WARN,
        '@angular-eslint/no-pipe-impure': utils_1.WARN,
        '@angular-eslint/no-queries-metadata-property': utils_1.WARN,
        '@angular-eslint/pipe-prefix': utils_1.WARN,
        '@angular-eslint/prefer-on-push-component-change-detection': utils_1.WARN,
        '@angular-eslint/prefer-output-readonly': utils_1.WARN,
        '@angular-eslint/relative-url-prefix': utils_1.WARN,
        '@angular-eslint/sort-ngmodule-metadata-arrays': utils_1.WARN,
        '@angular-eslint/use-component-selector': (0, utils_1.OFF)('Pages do not need selectors'),
        '@angular-eslint/use-component-view-encapsulation': utils_1.WARN,
        '@angular-eslint/use-injectable-provided-in': [
            utils_1.WARN,
            { ignoreClassNamePattern: '/(Effects|Source)$/' },
        ],
        '@angular-eslint/use-lifecycle-interface': utils_1.WARN,
        '@angular-eslint/use-pipe-transform-interface': utils_1.WARN,
    },
    overrides: [
        /**
         * The return type of `loadChildren()` fails to be inferred
         * when `async` keyword is used
         */
        {
            files: ['*-routing.module.ts'],
            rules: {
                // plugin:@typescript-eslint ***********************************************
                // rules URL: https://github.com/typescript-eslint/typescript-eslint/tree/master/packages/eslint-plugin
                '@typescript-eslint/promise-function-async': [
                    utils_1.WARN,
                    {
                        checkArrowFunctions: false,
                    },
                ],
            },
        },
    ],
};
//# sourceMappingURL=angular.js.map