declare const _default: {
    env: {
        es6: boolean;
    };
    parserOptions: {
        ecmaVersion: number;
        ecmaFeatures: {
            impliedStrict: boolean;
        };
        sourceType: string;
    };
    settings: {
        jsdoc: {
            mode: string;
        };
        'import/cache': {
            lifetime: string;
        };
        'import/extensions': string[];
        'import/ignore': string[];
        'import/parsers': {
            '@typescript-eslint/parser': string[];
        };
    };
    plugins: string[];
    rules: {
        'for-direction': string;
        'getter-return': string;
        'no-async-promise-executor': string;
        'no-await-in-loop': string;
        'no-compare-neg-zero': string;
        'no-cond-assign': string;
        'no-console': (string | {
            allow: string[];
        })[];
        'no-constant-condition': string;
        'no-control-regex': string;
        'no-debugger': string;
        'no-dupe-args': string;
        'no-dupe-keys': string;
        'no-duplicate-case': string;
        'no-empty': (string | {
            allowEmptyCatch: boolean;
        })[];
        'no-empty-character-class': string;
        'no-ex-assign': string;
        'no-extra-boolean-cast': string;
        'no-func-assign': string;
        'no-import-assign': string;
        'no-inner-declarations': string;
        'no-invalid-regexp': string;
        'no-irregular-whitespace': string;
        'no-loss-of-precision': string;
        'no-misleading-character-class': string;
        'no-obj-calls': string;
        'no-promise-executor-return': string;
        'no-prototype-builtins': string;
        'no-regex-spaces': string;
        'no-setter-return': string;
        'no-sparse-arrays': string;
        'no-template-curly-in-string': string;
        'no-unreachable': string;
        'no-unreachable-loop': string;
        'no-unsafe-finally': string;
        'no-unsafe-negation': string;
        'no-unsafe-optional-chaining': string;
        'no-useless-backreference': string;
        'require-atomic-updates': string;
        'use-isnan': string;
        'valid-typeof': string;
        'accessor-pairs': string;
        'array-callback-return': (string | {
            allowImplicit: boolean;
        })[];
        'block-scoped-var': string;
        'class-methods-use-this': string;
        complexity: (string | {
            max: number;
        })[];
        'consistent-return': string;
        curly: string[];
        'default-case': (string | {
            commentPattern: string;
        })[];
        'default-case-last': string;
        'default-param-last': string;
        'dot-notation': string;
        eqeqeq: string[];
        'grouped-accessor-pairs': string;
        'guard-for-in': string;
        'max-classes-per-file': (string | number)[];
        'no-alert': string;
        'no-caller': string;
        'no-case-declarations': string;
        'no-constructor-return': string;
        'no-constant-binary-expression': string;
        'no-div-regex': string;
        'no-duplicate-imports': string;
        'no-else-return': string;
        'no-empty-function': (string | {
            allow: string[];
        })[];
        'no-empty-pattern': string;
        'no-eq-null': string;
        'no-eval': string;
        'no-extend-native': string;
        'no-extra-bind': string;
        'no-extra-label': string;
        'no-fallthrough': string;
        'no-global-assign': (string | {
            exceptions: never[];
        })[];
        'no-implicit-coercion': string;
        'no-implicit-globals': string;
        'no-implied-eval': string;
        'no-invalid-this': string;
        'no-iterator': string;
        'no-labels': (string | {
            allowLoop: boolean;
            allowSwitch: boolean;
        })[];
        'no-lone-blocks': string;
        'no-loop-func': string;
        'no-magic-numbers': string;
        'no-multi-str': string;
        'no-new': string;
        'no-new-func': string;
        'no-new-wrappers': string;
        'no-nonoctal-decimal-escape': string;
        'no-octal': string;
        'no-octal-escape': string;
        'no-param-reassign': string;
        'no-proto': string;
        'no-redeclare': string;
        'no-restricted-properties': (string | {
            object: string;
            property: string;
            message: string;
        } | {
            property: string;
            message: string;
            object?: undefined;
        })[];
        'no-return-assign': string;
        'no-return-await': string;
        'no-script-url': string;
        'no-self-assign': string;
        'no-self-compare': string;
        'no-sequences': string;
        'no-throw-literal': string;
        'no-unmodified-loop-condition': string;
        'no-unused-expressions': string;
        'no-unused-labels': string;
        'no-unused-private-class-members': string;
        'no-useless-call': string;
        'no-useless-catch': string;
        'no-useless-concat': string;
        'no-useless-escape': string;
        'no-useless-return': string;
        'no-void': string;
        'no-warning-comments': string;
        'no-with': string;
        'prefer-named-capture-group': string;
        'prefer-object-has-own': string;
        'prefer-promise-reject-errors': string;
        'prefer-regex-literals': string;
        radix: string;
        'require-await': string;
        'require-unicode-regexp': string;
        'vars-on-top': string;
        yoda: string;
        strict: string[];
        'init-declarations': string;
        'no-delete-var': string;
        'no-label-var': string;
        'no-restricted-globals': string[];
        'no-shadow': string;
        'no-shadow-restricted-names': string;
        'no-undef': string;
        'no-undef-init': string;
        'no-undefined': string;
        'no-unused-vars': (string | {
            ignoreRestSiblings: boolean;
            argsIgnorePattern: string;
        })[];
        'no-use-before-define': string;
        camelcase: string;
        'capitalized-comments': string;
        'consistent-this': string[];
        'func-name-matching': string;
        'func-names': string;
        'func-style': (string | {
            allowArrowFunctions: boolean;
        })[];
        'id-denylist': string;
        'id-length': (string | {
            min: number;
            exceptions: string[];
            properties: string;
        })[];
        'id-match': string;
        'lines-between-class-members': (string | {
            exceptAfterSingleLine: boolean;
        })[];
        'max-depth': (string | number)[];
        'max-lines': (string | {
            max: number;
        })[];
        'max-lines-per-function': (string | {
            max: number;
            skipBlankLines: boolean;
            skipComments: boolean;
            IIFEs: boolean;
        })[];
        'max-nested-callbacks': string;
        'max-params': (string | {
            max: number;
        })[];
        'max-statements': (string | {
            max: number;
        })[];
        'max-statements-per-line': (string | {
            max: number;
        })[];
        'multiline-comment-style': string;
        'new-cap': string;
        'no-array-constructor': string;
        'no-bitwise': string;
        'no-continue': string;
        'no-inline-comments': string;
        'no-lonely-if': string;
        'no-mixed-operators': (string | {
            groups: string[][];
            allowSamePrecedence: boolean;
        })[];
        'no-multi-assign': string;
        'no-negated-condition': string;
        'no-nested-ternary': string;
        'no-new-object': string;
        'no-plusplus': string;
        'no-restricted-syntax': string;
        'no-ternary': string;
        'no-underscore-dangle': string;
        'no-unneeded-ternary': string;
        'one-var': string[];
        'operator-assignment': string;
        'prefer-exponentiation-operator': string;
        'prefer-object-spread': string;
        'sort-keys': string;
        'sort-vars': string;
        'spaced-comment': (string | {
            exceptions: string[];
            markers: string[];
        })[];
        'lines-around-comment': string;
        'max-len': string;
        'no-confusing-arrow': string;
        'no-tabs': string;
        'no-unexpected-multiline': string;
        quotes: string;
        'array-bracket-newline': string;
        'array-bracket-spacing': string;
        'array-element-newline': string;
        'arrow-parens': string;
        'arrow-spacing': string;
        'block-spacing': string;
        'brace-style': string;
        'comma-dangle': string;
        'comma-spacing': string;
        'comma-style': string;
        'computed-property-spacing': string;
        'dot-location': string;
        'eol-last': string;
        'func-call-spacing': string;
        'function-call-argument-newline': string;
        'function-paren-newline': string;
        'generator-star': string;
        'generator-star-spacing': string;
        'implicit-arrow-linebreak': string;
        indent: string;
        'jsx-quotes': string;
        'key-spacing': string;
        'keyword-spacing': string;
        'line-comment-position': string;
        'linebreak-style': string;
        'multiline-ternary': string;
        'newline-per-chained-call': string;
        'new-parens': string;
        'no-arrow-condition': string;
        'no-comma-dangle': string;
        'no-extra-parens': string;
        'no-extra-semi': string;
        'no-floating-decimal': string;
        'no-mixed-spaces-and-tabs': string;
        'no-multi-spaces': string;
        'no-multiple-empty-lines': string;
        'no-reserved-keys': string;
        'no-space-before-semi': string;
        'no-trailing-spaces': string;
        'no-whitespace-before-property': string;
        'no-wrap-func': string;
        'nonblock-statement-body-position': string;
        'object-curly-newline': string;
        'object-curly-spacing': string;
        'object-property-newline': string;
        'one-var-declaration-per-line': string;
        'operator-linebreak': string;
        'padded-blocks': string;
        'padding-line-between-statements': string;
        'quote-props': string;
        'rest-spread-spacing': string;
        semi: string;
        'semi-spacing': string;
        'semi-style': string;
        'space-after-function-name': string;
        'space-after-keywords': string;
        'space-before-blocks': string;
        'space-before-function-paren': string;
        'space-before-function-parentheses': string;
        'space-before-keywords': string;
        'space-in-brackets': string;
        'space-in-parens': string;
        'space-infix-ops': string;
        'space-return-throw-case': string;
        'space-unary-ops': string;
        'space-unary-word-ops': string;
        'switch-colon-spacing': string;
        'template-curly-spacing': string;
        'template-tag-spacing': string;
        'unicode-bom': string;
        'wrap-iife': string;
        'wrap-regex': string;
        'yield-star-spacing': string;
        'arrow-body-style': string[];
        'constructor-super': string;
        'no-class-assign': string;
        'no-const-assign': string;
        'no-dupe-class-members': string;
        'no-dupe-else-if': string;
        'no-new-symbol': string;
        'no-restricted-exports': string;
        'no-restricted-imports': readonly ["warn", {
            readonly paths: readonly [{
                readonly name: "lodash";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "lodash-es";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "fp-ts";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "styled-components";
                readonly message: "Styled components has a large type checking cost.";
            }];
        }];
        'no-this-before-super': string;
        'no-useless-computed-key': string;
        'no-useless-constructor': string;
        'no-useless-rename': string;
        'no-var': string;
        'object-shorthand': string[];
        'prefer-arrow-callback': string;
        'prefer-const': string;
        'prefer-destructuring': string;
        'prefer-numeric-literals': string;
        'prefer-rest-params': string;
        'prefer-spread': string;
        'prefer-template': string;
        'require-yield': string;
        'symbol-description': string;
        'eslint-comments/disable-enable-pair': string;
        'eslint-comments/no-aggregating-enable': string;
        'eslint-comments/no-duplicate-disable': string;
        'eslint-comments/no-unlimited-disable': string;
        'eslint-comments/no-unused-disable': string;
        'eslint-comments/no-unused-enable': string;
        'eslint-comments/no-restricted-disable': string;
        'eslint-comments/no-use': string;
        'eslint-comments/require-description': (string | {
            ignore: string[];
        })[];
        'fp/no-arguments': string;
        'fp/no-class': string;
        'fp/no-delete': string;
        'fp/no-events': string;
        'fp/no-get-set': string;
        'fp/no-let': string;
        'fp/no-loops': string;
        'fp/no-mutating-assign': string;
        'fp/no-mutating-methods': string;
        'fp/no-mutation': string;
        'fp/no-nil': string;
        'fp/no-proxy': string;
        'fp/no-rest-parameters': string;
        'fp/no-this': string;
        'fp/no-throw': string;
        'fp/no-unused-expression': string;
        'fp/no-valueof-field': string;
        'import/no-unresolved': (string | {
            amd: boolean;
            commonjs: boolean;
        })[];
        'import/default': string;
        'import/named': string;
        'import/namespace': string;
        'import/no-absolute-path': string;
        'import/no-cycle': string;
        'import/no-dynamic-require': string;
        'import/no-internal-modules': string;
        'import/no-relative-parent-imports': string;
        'import/no-restricted-paths': string;
        'import/no-self-import': string;
        'import/no-unused-modules': string;
        'import/no-useless-path-segments': string;
        'import/no-webpack-loader-syntax': string;
        'import/export': string;
        'import/no-deprecated': string;
        'import/no-extraneous-dependencies': string;
        'import/no-mutable-exports': string;
        'import/no-named-as-default': string;
        'import/no-named-as-default-member': string;
        'import/no-amd': string;
        'import/no-commonjs': string;
        'import/no-nodejs-modules': string;
        'import/unambiguous': string;
        'import/dynamic-import-chunkname': string;
        'import/exports-last': string;
        'import/extensions': string;
        'import/group-exports': string;
        'import/max-dependencies': (string | {
            max: number;
        })[];
        'import/no-anonymous-default-export': string;
        'import/no-default-export': string;
        'import/no-named-default': string;
        'import/no-named-export': string;
        'import/no-namespace': string;
        'import/no-unassigned-import': string;
        'import/prefer-default-export': string;
        'jsdoc/check-access': string;
        'jsdoc/check-alignment': string;
        'jsdoc/check-examples': string;
        'jsdoc/check-indentation': string;
        'jsdoc/check-line-alignment': string;
        'jsdoc/check-param-names': string;
        'jsdoc/check-property-names': string;
        'jsdoc/check-syntax': string;
        'jsdoc/check-tag-names': (string | {
            definedTags: string[];
        })[];
        'jsdoc/check-types': string;
        'jsdoc/check-values': string;
        'jsdoc/empty-tags': string;
        'jsdoc/implements-on-classes': string;
        'jsdoc/match-name': string;
        'jsdoc/match-description': string;
        'jsdoc/multiline-blocks': string;
        'jsdoc/newline-after-description': string;
        'jsdoc/no-bad-blocks': string;
        'jsdoc/no-defaults': string;
        'jsdoc/no-missing-syntax': string;
        'jsdoc/no-multi-asterisks': string;
        'jsdoc/no-restricted-syntax': string;
        'jsdoc/no-types': string;
        'jsdoc/no-undefined-types': string;
        'jsdoc/require-asterisk-prefix': string;
        'jsdoc/require-description': string;
        'jsdoc/require-description-complete-sentence': string;
        'jsdoc/require-example': string;
        'jsdoc/require-file-overview': string;
        'jsdoc/require-hyphen-before-param-description': string;
        'jsdoc/require-jsdoc': string;
        'jsdoc/require-param': string;
        'jsdoc/require-param-description': string;
        'jsdoc/require-param-name': string;
        'jsdoc/require-param-type': string;
        'jsdoc/require-property': string;
        'jsdoc/require-property-description': string;
        'jsdoc/require-property-name': string;
        'jsdoc/require-property-type': string;
        'jsdoc/require-returns': string;
        'jsdoc/require-returns-check': string;
        'jsdoc/require-returns-description': string;
        'jsdoc/require-returns-type': string;
        'jsdoc/require-throws': string;
        'jsdoc/require-yields': string;
        'jsdoc/require-yields-check': string;
        'jsdoc/sort-tags': string;
        'jsdoc/tag-lines': string;
        'jsdoc/valid-types': string;
        'prefer-arrow/prefer-arrow-functions': (string | {
            disallowPrototype: boolean;
            singleReturnOnly: boolean;
            classPropertiesAllowed: boolean;
        })[];
        'no-secrets/no-secrets': (string | {
            tolerance: number;
        })[];
        'sonarjs/cognitive-complexity': (string | number)[];
        'sonarjs/elseif-without-else': string;
        'sonarjs/max-switch-cases': string;
        'sonarjs/no-all-duplicated-branches': string;
        'sonarjs/no-collapsible-if': string;
        'sonarjs/no-collection-size-mischeck': string;
        'sonarjs/no-duplicate-string': (string | number)[];
        'sonarjs/no-duplicated-branches': string;
        'sonarjs/no-element-overwrite': string;
        'sonarjs/no-empty-collection': string;
        'sonarjs/non-existent-operator': string;
        'sonarjs/no-gratuitous-expressions': string;
        'sonarjs/no-extra-arguments': string;
        'sonarjs/no-identical-conditions': string;
        'sonarjs/no-identical-functions': string;
        'sonarjs/no-identical-expressions': string;
        'sonarjs/no-inverted-boolean-check': string;
        'sonarjs/no-ignored-return': string;
        'sonarjs/no-nested-switch': string;
        'sonarjs/no-nested-template-literals': string;
        'sonarjs/no-one-iteration-loop': string;
        'sonarjs/no-redundant-boolean': string;
        'sonarjs/no-redundant-jump': string;
        'sonarjs/no-same-line-conditional': string;
        'sonarjs/no-small-switch': string;
        'sonarjs/no-unused-collection': string;
        'sonarjs/no-use-of-empty-return-value': string;
        'sonarjs/no-useless-catch': string;
        'sonarjs/prefer-immediate-return': string;
        'sonarjs/prefer-object-literal': string;
        'sonarjs/prefer-single-boolean-return': string;
        'sonarjs/prefer-while': string;
        'security/detect-unsafe-regex': string;
        'security/detect-disable-mustache-escape': string;
        'security/detect-eval-with-expression': string;
        'security/detect-non-literal-regexp': string;
        'security/detect-non-literal-require': string;
        'security/detect-object-injection': string;
        'security/detect-possible-timing-attacks': string;
        'security/detect-pseudoRandomBytes': string;
        'security/detect-buffer-noassert': string;
        'security/detect-child-process': string;
        'security/detect-new-buffer': string;
        'security/detect-no-csrf-before-method-override': string;
        'security/detect-non-literal-fs-filename': string;
        'sort-destructure-keys/sort-destructure-keys': string;
        'ternary/no-dupe': string;
        'ternary/no-unreachable': string;
        'ternary/nesting': (string | {
            test: boolean;
            consequent: boolean;
            alternate: boolean;
            depth: number;
        })[];
        'unicorn/better-regex': string;
        'unicorn/catch-error-name': string;
        'unicorn/consistent-destructuring': string;
        'unicorn/consistent-function-scoping': (string | {
            checkArrowFunctions: boolean;
        })[];
        'unicorn/custom-error-definition': string;
        'unicorn/error-message': string;
        'unicorn/escape-case': string;
        'unicorn/expiring-todo-comments': (string | {
            allowWarningComments: boolean;
        })[];
        'unicorn/explicit-length-check': string;
        'unicorn/filename-case': string;
        'unicorn/import-index': string;
        'unicorn/import-style': string;
        'unicorn/new-for-builtins': string;
        'unicorn/no-abusive-eslint-disable': string;
        'unicorn/no-array-callback-reference': string;
        'unicorn/no-array-for-each': string;
        'unicorn/no-array-push-push': string;
        'unicorn/no-array-method-this-argument': string;
        'unicorn/no-array-reduce': string;
        'unicorn/no-await-expression-member': string;
        'unicorn/no-console-spaces': string;
        'unicorn/no-document-cookie': string;
        'unicorn/no-empty-file': string;
        'unicorn/no-for-loop': string;
        'unicorn/no-hex-escape': string;
        'unicorn/no-instanceof-array': string;
        'unicorn/no-invalid-remove-event-listener': string;
        'unicorn/no-keyword-prefix': string;
        'unicorn/no-lonely-if': string;
        'unicorn/no-nested-ternary': string;
        'unicorn/no-new-array': string;
        'unicorn/no-new-buffer': string;
        'unicorn/no-null': string;
        'unicorn/no-object-as-default-parameter': string;
        'unicorn/no-process-exit': string;
        'unicorn/no-static-only-class': string;
        'unicorn/no-thenable': string;
        'unicorn/no-this-assignment': string;
        'unicorn/no-unreadable-array-destructuring': string;
        'unicorn/no-unreadable-iife': string;
        'unicorn/no-unsafe-regex': string;
        'unicorn/no-unused-properties': string;
        'unicorn/no-useless-fallback-in-spread': string;
        'unicorn/no-useless-length-check': string;
        'unicorn/no-useless-promise-resolve-reject': string;
        'unicorn/no-useless-spread': string;
        'unicorn/no-useless-switch-case': string;
        'unicorn/no-useless-undefined': string;
        'unicorn/no-zero-fractions': string;
        'unicorn/numeric-separators-style': (string | {
            onlyIfContainsSeparator: boolean;
            hexadecimal: {
                minimumDigits: number;
                groupLength: number;
            };
            binary: {
                minimumDigits: number;
                groupLength: number;
            };
            octal: {
                minimumDigits: number;
                groupLength: number;
            };
            number: {
                minimumDigits: number;
                groupLength: number;
            };
        })[];
        'unicorn/prefer-at': string;
        'unicorn/prefer-add-event-listener': string;
        'unicorn/prefer-array-find': string;
        'unicorn/prefer-array-flat': string;
        'unicorn/prefer-array-flat-map': string;
        'unicorn/prefer-array-index-of': string;
        'unicorn/prefer-array-some': string;
        'unicorn/prefer-code-point': string;
        'unicorn/prefer-date-now': string;
        'unicorn/prefer-default-parameters': string;
        'unicorn/prefer-dom-node-append': string;
        'unicorn/prefer-dom-node-dataset': string;
        'unicorn/prefer-dom-node-remove': string;
        'unicorn/prefer-dom-node-text-content': string;
        'unicorn/prefer-event-target': string;
        'unicorn/prefer-export-from': string;
        'unicorn/prefer-includes': string;
        'unicorn/prefer-json-parse-buffer': string;
        'unicorn/prefer-keyboard-event-key': string;
        'unicorn/prefer-logical-operator-over-ternary': string;
        'unicorn/prefer-math-trunc': string;
        'unicorn/prefer-modern-dom-apis': string;
        'unicorn/prefer-modern-math-apis': string;
        'unicorn/prefer-module': string;
        'unicorn/prefer-native-coercion-functions': string;
        'unicorn/prefer-negative-index': string;
        'unicorn/prefer-node-protocol': string;
        'unicorn/prefer-number-properties': string;
        'unicorn/prefer-object-from-entries': string;
        'unicorn/prefer-object-has-own': string;
        'unicorn/prefer-optional-catch-binding': string;
        'unicorn/prefer-prototype-methods': string;
        'unicorn/prefer-query-selector': string;
        'unicorn/prefer-reflect-apply': string;
        'unicorn/prefer-regexp-test': string;
        'unicorn/prefer-set-has': string;
        'unicorn/prefer-spread': string;
        'unicorn/prefer-string-replace-all': string;
        'unicorn/prefer-string-slice': string;
        'unicorn/prefer-string-starts-ends-with': string;
        'unicorn/prefer-string-trim-start-end': string;
        'unicorn/prefer-switch': string;
        'unicorn/prefer-ternary': string;
        'unicorn/prefer-top-level-await': string;
        'unicorn/prefer-type-error': string;
        'unicorn/prevent-abbreviations': string;
        'unicorn/relative-url-style': string;
        'unicorn/require-array-join-separator': string;
        'unicorn/require-number-to-fixed-digits-argument': string;
        'unicorn/require-post-message-target-origin': string;
        'unicorn/string-content': string;
        'unicorn/template-indent': string;
        'unicorn/text-encoding-identifier-case': string;
        'unicorn/throw-new-error': string;
        'unicorn/empty-brace-spaces': string;
        'unicorn/number-literal-case': string;
    };
};
export = _default;
