declare const _default: {
    extends: string;
    env: {
        es6: boolean;
        node: boolean;
        mocha: boolean;
        'cypress/globals': boolean;
    };
    plugins: string[];
    rules: {
        'no-unused-expressions': string;
        'max-statements': string;
        'max-classes-per-file': string;
        'max-lines-per-function': string;
        '@typescript-eslint/unbound-method': string;
        'fp/no-mutation': string;
        'sonarjs/no-identical-functions': string;
        'chai-friendly/no-unused-expressions': string;
        'cypress/no-assigning-return-values': string;
        'cypress/no-unnecessary-waiting': string;
        'cypress/no-async-tests': string;
        'cypress/no-force': string;
        'cypress/assertion-before-screenshot': string;
        'cypress/require-data-selectors': string;
        'jest-formatting/padding-around-after-all-blocks': string;
        'jest-formatting/padding-around-after-each-blocks': string;
        'jest-formatting/padding-around-before-all-blocks': string;
        'jest-formatting/padding-around-before-each-blocks': string;
        'jest-formatting/padding-around-describe-blocks': string;
        'jest-formatting/padding-around-expect-groups': string;
        'jest-formatting/padding-around-test-blocks': string;
        'jest-formatting/padding-around-all': string;
        'mocha/handle-done-callback': string;
        'mocha/max-top-level-suites': (string | {
            limit: number;
        })[];
        'mocha/no-async-describe': string;
        'mocha/no-exclusive-tests': string;
        'mocha/no-exports': string;
        'mocha/no-global-tests': string;
        'mocha/no-hooks': string;
        'mocha/no-hooks-for-single-case': string;
        'mocha/no-identical-title': string;
        'mocha/no-mocha-arrows': string;
        'mocha/no-nested-tests': string;
        'mocha/no-pending-tests': string;
        'mocha/no-return-and-callback': string;
        'mocha/no-return-from-async': string;
        'mocha/no-setup-in-describe': string;
        'mocha/no-sibling-hooks': string;
        'mocha/no-skipped-tests': string;
        'mocha/no-synchronous-tests': string;
        'mocha/no-top-level-hooks': string;
        'mocha/prefer-arrow-callback': string;
        'mocha/valid-suite-description': string;
        'mocha/valid-test-description': string;
    };
};
export = _default;
