"use strict";
const utils_1 = require("./utils");
module.exports = {
    extends: './base.js',
    rules: {
        // plugin:eslint ***********************************************************
        // rules URL: https://github.com/eslint/eslint/tree/master/docs/rules
        'prefer-module': (0, utils_1.OFF)('Many tools written in node do not support esm or other formats'),
        // plugin:fp ***************************************************************
        // rules URL: https://github.com/jfmengels/eslint-plugin-fp#rules
        'fp/no-mutation': [utils_1.WARN, { allowThis: true, commonjs: true }],
        // plugin:import ***********************************************************
        // rules URL: https://github.com/benmosher/eslint-plugin-import#rules
        'import/named': (0, utils_1.OFF)(utils_1.JAVASCRIPT),
        'import/no-commonjs': (0, utils_1.OFF)('Many tools written in node do not support esm or other formats'),
        'import/unambiguous': (0, utils_1.OFF)(utils_1.JAVASCRIPT),
        // plugin:node *************************************************************
        // rules URL: https://github.com/mysticatea/eslint-plugin-node#-rules
        'node/no-unsupported-features/es-builtins': utils_1.WARN,
        'node/no-unsupported-features/es-syntax': utils_1.WARN,
        'node/no-unsupported-features/node-builtins': utils_1.WARN,
        'node/global-require': (0, utils_1.OFF)(utils_1.JAVASCRIPT),
        // plugin:unicorn **********************************************************
        // rules URL: https://github.com/sindresorhus/eslint-plugin-unicorn#rules
        'unicorn/numeric-separators-style': (0, utils_1.OFF)(utils_1.ES2021),
    },
};
//# sourceMappingURL=javascript.js.map