declare const _default: {
    extends: string;
    env: {
        es6: boolean;
        jest: boolean;
        'jest/globals': boolean;
        node: boolean;
    };
    plugins: string[];
    rules: {
        'max-statements': string;
        'max-classes-per-file': string;
        'max-lines-per-function': string;
        '@typescript-eslint/explicit-function-return-type': string;
        '@typescript-eslint/no-non-null-assertion': string;
        '@typescript-eslint/unbound-method': string;
        'fp/no-mutation': string;
        'sonarjs/no-identical-functions': string;
        'sonarjs/no-duplicate-string': string;
        'jest/consistent-test-it': (string | {
            fn: string;
        })[];
        'jest/expect-expect': (string | {
            assertFunctionNames: string[];
        })[];
        'jest/max-expects': string;
        'jest/max-nested-describe': string;
        'jest/no-alias-methods': string;
        'jest/no-commented-out-tests': string;
        'jest/no-conditional-expect': string;
        'jest/no-conditional-in-test': string;
        'jest/no-deprecated-functions': string;
        'jest/no-disabled-tests': string;
        'jest/no-done-callback': string;
        'jest/no-duplicate-hooks': string;
        'jest/no-export': string;
        'jest/no-focused-tests': string;
        'jest/no-hooks': string;
        'jest/no-identical-title': string;
        'jest/no-if': string;
        'jest/no-interpolation-in-snapshots': string;
        'jest/no-jasmine-globals': string;
        'jest/no-jest-import': string;
        'jest/no-large-snapshots': string;
        'jest/no-mocks-import': string;
        'jest/no-restricted-matchers': (string | {
            toBeFalsy: string;
            toBeTruthy: string;
            toMatchSnapshot: string;
            toThrowErrorMatchingSnapshot: string;
        })[];
        'jest/no-standalone-expect': string;
        'jest/no-test-prefixes': string;
        'jest/no-test-return-statement': string;
        'jest/prefer-called-with': string;
        'jest/prefer-comparison-matcher': string;
        'jest/prefer-expect-assertions': string;
        'jest/prefer-expect-resolves': string;
        'jest/prefer-equality-matcher': string;
        'jest/prefer-hooks-in-order': string;
        'jest/prefer-hooks-on-top': string;
        'jest/prefer-lowercase-title': (string | {
            ignoreTopLevelDescribe: boolean;
        })[];
        'jest/prefer-mock-promise-shorthand': string;
        'jest/prefer-snapshot-hint': string;
        'jest/prefer-spy-on': string;
        'jest/prefer-strict-equal': string;
        'jest/prefer-to-be': string;
        'jest/prefer-to-contain': string;
        'jest/prefer-to-have-length': string;
        'jest/prefer-todo': string;
        'jest/require-hook': string;
        'jest/require-to-throw-message': string;
        'jest/require-top-level-describe': string;
        'jest/unbound-method': string;
        'jest/valid-describe-callback': string;
        'jest/valid-expect': string;
        'jest/valid-expect-in-promise': string;
        'jest/valid-title': string;
        'jest-dom/prefer-checked': string;
        'jest-dom/prefer-empty': string;
        'jest-dom/prefer-enabled-disabled': string;
        'jest-dom/prefer-focus': string;
        'jest-dom/prefer-in-document': string;
        'jest-dom/prefer-required': string;
        'jest-dom/prefer-to-have-attribute': string;
        'jest-dom/prefer-to-have-class': string;
        'jest-dom/prefer-to-have-style': string;
        'jest-dom/prefer-to-have-text-content': string;
        'jest-dom/prefer-to-have-value': string;
        'jest-formatting/padding-around-after-all-blocks': string;
        'jest-formatting/padding-around-after-each-blocks': string;
        'jest-formatting/padding-around-before-all-blocks': string;
        'jest-formatting/padding-around-before-each-blocks': string;
        'jest-formatting/padding-around-describe-blocks': string;
        'jest-formatting/padding-around-expect-groups': string;
        'jest-formatting/padding-around-test-blocks': string;
        'jest-formatting/padding-around-all': string;
        'rxjs/no-ignored-subscribe': string;
    };
};
export = _default;
