"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['lodash'],
    rules: {
        // plugin:lodash *************************************************************
        // rules URL: https://github.com/wix/eslint-plugin-lodash#list-of-provided-rules
        'lodash/callback-binding': utils_1.WARN,
        'lodash/chain-style': [utils_1.WARN, 'explicit'],
        'lodash/chaining': [utils_1.WARN, 'always'],
        'lodash/collection-method-value': utils_1.WARN,
        'lodash/collection-ordering': [utils_1.WARN, { method: 'orderByExplicit', useArray: 'as-needed' }],
        'lodash/collection-return': utils_1.WARN,
        'lodash/consistent-compose': utils_1.WARN,
        'lodash/identity-shorthand': utils_1.WARN,
        'lodash/import-scope': [utils_1.WARN, 'member'],
        'lodash/matches-prop-shorthand': utils_1.WARN,
        'lodash/matches-shorthand': utils_1.WARN,
        'lodash/no-commit': utils_1.WARN,
        'lodash/no-double-unwrap': utils_1.WARN,
        'lodash/no-extra-args': utils_1.WARN,
        'lodash/no-unbound-this': utils_1.WARN,
        'lodash/path-style': utils_1.WARN,
        'lodash/prefer-compact': utils_1.WARN,
        'lodash/prefer-constant': utils_1.WARN,
        'lodash/prefer-filter': utils_1.WARN,
        'lodash/prefer-find': utils_1.WARN,
        'lodash/prefer-flat-map': utils_1.WARN,
        'lodash/prefer-get': utils_1.WARN,
        'lodash/prefer-immutable-method': utils_1.WARN,
        'lodash/prefer-includes': utils_1.WARN,
        'lodash/prefer-invoke-map': utils_1.WARN,
        'lodash/prefer-is-nil': utils_1.WARN,
        'lodash/prefer-lodash-chain': utils_1.WARN,
        'lodash/prefer-lodash-method': utils_1.WARN,
        'lodash/prefer-lodash-typecheck': utils_1.WARN,
        'lodash/prefer-map': utils_1.WARN,
        'lodash/prefer-matches': utils_1.WARN,
        'lodash/prefer-noop': utils_1.WARN,
        'lodash/prefer-over-quantifier': utils_1.WARN,
        'lodash/prefer-reject': utils_1.WARN,
        'lodash/prefer-some': utils_1.WARN,
        'lodash/prefer-startswith': utils_1.WARN,
        'lodash/prefer-thru': utils_1.WARN,
        'lodash/prefer-times': utils_1.WARN,
        'lodash/prefer-wrapper-method': utils_1.WARN,
        'lodash/preferred-alias': utils_1.WARN,
        'lodash/prop-shorthand': utils_1.WARN,
        'lodash/unwrap': utils_1.WARN,
    },
};
//# sourceMappingURL=lodash.js.map