"use strict";
const utils_1 = require("./utils");
module.exports = {
    parserOptions: {
        sourceType: 'module',
    },
    rules: {
        // plugin:eslint ***********************************************************
        // rules URL: https://github.com/eslint/eslint/tree/master/docs/rules
        'no-undef': (0, utils_1.OFF)(utils_1.MARKDOWN),
        'no-unused-expressions': (0, utils_1.OFF)(utils_1.MARKDOWN),
        'no-unused-vars': (0, utils_1.OFF)(utils_1.MARKDOWN),
        // plugin:@typescript-eslint ***********************************************
        // rules URL: https://github.com/typescript-eslint/typescript-eslint/tree/master/packages/eslint-plugin
        // Type Checking is not available in markdown
        '@typescript-eslint/dot-notation': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-implied-eval': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-throw-literal': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/require-await': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/return-await': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/await-thenable': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-base-to-string': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-floating-promises': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-misused-promises': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-unnecessary-boolean-literal-compare': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-unnecessary-condition': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-unnecessary-qualifier': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-unnecessary-type-arguments': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/no-unnecessary-type-assertion': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-includes': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-nullish-coalescing': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-readonly': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-readonly-parameter-types': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-reduce-type-parameter': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-regexp-exec': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/prefer-string-starts-ends-with': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/promise-function-async': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/require-array-sort-compare': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/restrict-plus-operands': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/strict-boolean-expressions': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/switch-exhaustiveness-check': (0, utils_1.OFF)(utils_1.MARKDOWN),
        '@typescript-eslint/unbound-method': (0, utils_1.OFF)(utils_1.MARKDOWN),
        // plugin:unicorn **********************************************************
        // rules URL: https://github.com/sindresorhus/eslint-plugin-unicorn#rules
        'unicorn/filename-case': (0, utils_1.OFF)(utils_1.MARKDOWN),
    },
};
//# sourceMappingURL=markdown-snippet.js.map