"use strict";
const utils_1 = require("./utils");
module.exports = {
    env: { es6: true, node: true },
    plugins: ['node'],
    rules: {
        // plugin:node *************************************************************
        // rules URL: https://github.com/mysticatea/eslint-plugin-node#-rules
        // Possible Errors
        'node/handle-callback-err': (0, utils_1.OFF)(utils_1.NOT_VALUABLE),
        'node/no-callback-literal': utils_1.WARN,
        'node/no-exports-assign': utils_1.WARN,
        'node/no-extraneous-import': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', "Doesn't work well with Monorepos"),
        'node/no-extraneous-require': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', "Doesn't work well with Monorepos"),
        'node/no-missing-import': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', 'TypeScript support is missing'),
        'node/no-missing-require': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', 'TypeScript support is missing'),
        'node/no-new-require': utils_1.WARN,
        'node/no-path-concat': utils_1.WARN,
        'node/no-process-exit': utils_1.WARN,
        'node/no-unpublished-bin': utils_1.WARN,
        'node/no-unpublished-import': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', 'Is not aware of build'),
        'node/no-unpublished-require': (0, utils_1.BUGGY)('eslint-plugin-node:v11.1.0', "Doesn't work with monorepos"),
        'node/no-unsupported-features/es-builtins': (0, utils_1.OFF)(utils_1.TYPESCRIPT),
        'node/no-unsupported-features/es-syntax': (0, utils_1.OFF)(utils_1.TYPESCRIPT),
        'node/no-unsupported-features/node-builtins': (0, utils_1.OFF)(utils_1.TYPESCRIPT),
        'node/process-exit-as-throw': utils_1.WARN,
        'node/shebang': utils_1.WARN,
        // Best Practices
        'node/no-deprecated-api': (0, utils_1.OFF)(utils_1.LARGE_PERFORMANCE_COST),
        // Stylistic Issues
        'node/callback-return': (0, utils_1.OFF)(utils_1.NOT_VALUABLE),
        'node/exports-style': utils_1.WARN,
        'node/file-extension-in-import': (0, utils_1.OFF)(utils_1.NOT_VALUABLE),
        'node/global-require': utils_1.WARN,
        'node/no-mixed-requires': utils_1.WARN,
        'node/no-process-env': (0, utils_1.OFF)(utils_1.NOT_VALUABLE),
        'node/no-restricted-import': [utils_1.WARN, ['left-pad']],
        'node/no-restricted-require': [utils_1.WARN, ['left-pad']],
        'node/no-sync': (0, utils_1.OFF)(utils_1.NOT_VALUABLE),
        'node/prefer-global/buffer': utils_1.WARN,
        'node/prefer-global/console': utils_1.WARN,
        'node/prefer-global/process': utils_1.WARN,
        'node/prefer-global/text-decoder': utils_1.WARN,
        'node/prefer-global/text-encoder': utils_1.WARN,
        'node/prefer-global/url': utils_1.WARN,
        'node/prefer-global/url-search-params': utils_1.WARN,
        'node/prefer-promises/dns': utils_1.WARN,
        'node/prefer-promises/fs': utils_1.WARN,
        // plugin:security *********************************************************
        // rules URL: https://github.com/nodesecurity/eslint-plugin-security
        'security/detect-buffer-noassert': utils_1.WARN,
        'security/detect-child-process': utils_1.WARN,
        'security/detect-no-csrf-before-method-override': utils_1.WARN,
        'security/detect-non-literal-fs-filename': utils_1.WARN,
        // plugin:unicorn **********************************************************
        // rules URL: https://github.com/sindresorhus/eslint-plugin-unicorn#rules
        'unicorn/prefer-module': (0, utils_1.OFF)('`module` is often times required in commonjs'),
    },
};
//# sourceMappingURL=node.js.map