"use strict";
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("./base"));
const utils_1 = require("./utils");
module.exports = {
    env: {
        browser: true,
        es6: true,
        node: true,
    },
    extends: './react.js',
    plugins: ['react-native'],
    rules: {
        // plugin:eslint ***********************************************************
        // rules URL: https://github.com/eslint/eslint/tree/master/docs/rules
        // React Native has many overlapping exports ie `StyleSheet`, `Text`, etc.
        // Because of this we have to disable checking builtin globals altogether
        // perhaps at a future date this can be reenabled and we can shift to
        // an adapter library for react-native that does not have such overlap
        'no-redeclare': [utils_1.WARN, { builtinGlobals: false }],
        // plugin:react-native ******************************************************************
        // rules URL: https://github.com/intellicode/eslint-plugin-react-native#list-of-supported-rules
        'react-native/no-color-literals': utils_1.WARN,
        'react-native/no-inline-styles': utils_1.WARN,
        'react-native/no-raw-text': (0, utils_1.OFF)(utils_1.PROJECT_BY_PROJECT),
        'react-native/no-single-element-style-arrays': utils_1.WARN,
        'react-native/no-unused-styles': utils_1.WARN,
        'react-native/sort-styles': utils_1.WARN,
        'react-native/split-platform-components': utils_1.WARN,
        // plugin:@typescript-eslint ***********************************************
        // rules URL: https://github.com/typescript-eslint/typescript-eslint/tree/master/packages/eslint-plugin
        '@typescript-eslint/no-restricted-imports': [
            utils_1.WARN,
            Object.assign(Object.assign({}, base_1.default.rules['no-restricted-imports'][1]), { patterns: [
                    {
                        group: ['*.css'],
                        message: 'CSS Modules are not allowed in React Native',
                    },
                ] }),
        ],
    },
};
//# sourceMappingURL=react-native.js.map