declare const _default: {
    env: {
        browser: boolean;
        es6: boolean;
    };
    settings: {
        react: {
            version: string;
        };
    };
    plugins: string[];
    rules: {
        'jsx-a11y/accessible-emoji': string;
        'jsx-a11y/alt-text': string;
        'jsx-a11y/anchor-has-content': string;
        'jsx-a11y/anchor-is-valid': (string | {
            aspects: string[];
        })[];
        'jsx-a11y/aria-activedescendant-has-tabindex': string;
        'jsx-a11y/aria-props': string;
        'jsx-a11y/aria-proptypes': string;
        'jsx-a11y/aria-role': (string | {
            ignoreNonDOM: boolean;
        })[];
        'jsx-a11y/aria-unsupported-elements': string;
        'jsx-a11y/autocomplete-valid': string;
        'jsx-a11y/click-events-have-key-events': string;
        'jsx-a11y/control-has-associated-label': (string | {
            ignoreElements: string[];
            ignoreRoles: string[];
            includeRoles: string[];
        })[];
        'jsx-a11y/heading-has-content': string;
        'jsx-a11y/html-has-lang': string;
        'jsx-a11y/iframe-has-title': string;
        'jsx-a11y/img-redundant-alt': string;
        'jsx-a11y/interactive-supports-focus': (string | {
            tabbable: string[];
        })[];
        'jsx-a11y/label-has-associated-control': string;
        'jsx-a11y/label-has-for': string;
        'jsx-a11y/lang': string;
        'jsx-a11y/media-has-caption': string;
        'jsx-a11y/mouse-events-have-key-events': string;
        'jsx-a11y/no-access-key': string;
        'jsx-a11y/no-autofocus': string;
        'jsx-a11y/no-distracting-elements': string;
        'jsx-a11y/no-interactive-element-to-noninteractive-role': string;
        'jsx-a11y/no-noninteractive-element-interactions': (string | {
            body: string[];
            iframe: string[];
            img: string[];
        })[];
        'jsx-a11y/no-noninteractive-element-to-interactive-role': string;
        'jsx-a11y/no-noninteractive-tabindex': string;
        'jsx-a11y/no-redundant-roles': string;
        'jsx-a11y/no-static-element-interactions': string;
        'jsx-a11y/role-has-required-aria-props': string;
        'jsx-a11y/role-supports-aria-props': string;
        'jsx-a11y/scope': string;
        'jsx-a11y/tabindex-no-positive': string;
        'react/boolean-prop-naming': (string | {
            rule: string;
        })[];
        'react/button-has-type': string;
        'react/default-props-match-prop-types': string;
        'react/destructuring-assignment': (string | {
            destructureInSignature: string;
        })[];
        'react/display-name': string;
        'react/forbid-component-props': string;
        'react/forbid-dom-props': string;
        'react/forbid-elements': string;
        'react/forbid-foreign-prop-types': (string | {
            allowInPropTypes: boolean;
        })[];
        'react/forbid-prop-types': string;
        'react/function-component-definition': (string | {
            namedComponents: string;
            unnamedComponents: string;
        })[];
        'react/hook-use-state': string;
        'react/iframe-missing-sandbox': string;
        'react/no-access-state-in-setstate': string;
        'react/no-adjacent-inline-elements': string;
        'react/no-array-index-key': string;
        'react/no-arrow-function-lifecycle': string;
        'react/no-children-prop': string;
        'react/no-danger': string;
        'react/no-danger-with-children': string;
        'react/no-deprecated': string;
        'react/no-did-mount-set-state': string[];
        'react/no-did-update-set-state': string[];
        'react/no-direct-mutation-state': string;
        'react/no-find-dom-node': string;
        'react/no-is-mounted': string;
        'react/no-invalid-html-attribute': string;
        'react/no-namespace': string;
        'react/no-multi-comp': string;
        'react/no-redundant-should-component-update': string;
        'react/no-render-return-value': string;
        'react/no-set-state': string;
        'react/no-string-refs': string;
        'react/no-this-in-sfc': string;
        'react/no-typos': string;
        'react/no-unescaped-entities': string;
        'react/no-unstable-nested-components': string;
        'react/no-unknown-property': string;
        'react/no-unsafe': string;
        'react/no-unused-class-component-methods': string;
        'react/no-unused-prop-types': string;
        'react/no-unused-state': string;
        'react/no-will-update-set-state': string[];
        'react/prefer-es6-class': string;
        'react/prefer-exact-props': string;
        'react/prefer-read-only-props': string;
        'react/prefer-stateless-function': string;
        'react/prop-types': string;
        'react/react-in-jsx-scope': string;
        'react/require-default-props': string;
        'react/require-optimization': string;
        'react/require-render-return': string;
        'react/self-closing-comp': string;
        'react/sort-comp': string;
        'react/sort-prop-types': string;
        'react/state-in-constructor': string[];
        'react/static-property-placement': string;
        'react/style-prop-object': string;
        'react/void-dom-elements-no-children': string;
        'react/jsx-boolean-value': string;
        'react/jsx-curly-brace-presence': string;
        'react/jsx-filename-extension': (string | {
            extensions: string[];
        })[];
        'react/jsx-fragments': string[];
        'react/jsx-handler-names': string;
        'react/jsx-key': string;
        'react/jsx-max-depth': (string | {
            max: number;
        })[];
        'react/jsx-no-bind': (string | {
            ignoreRefs: boolean;
        })[];
        'react/jsx-no-comment-textnodes': string;
        'react/jsx-no-constructed-context-values': string;
        'react/jsx-no-duplicate-props': string;
        'react/jsx-no-leaked-render': string;
        'react/jsx-no-literals': string;
        'react/jsx-no-script-url': string;
        'react/jsx-no-target-blank': string;
        'react/jsx-no-undef': string;
        'react/jsx-no-useless-fragment': string;
        'react/jsx-pascal-case': string;
        'react/jsx-props-no-spreading': (string | {
            custom: string;
        })[];
        'react/jsx-sort-default-props': string;
        'react/jsx-sort-props': string;
        'react/jsx-uses-react': string;
        'react/jsx-uses-vars': string;
        'react/jsx-child-element-spacing': string;
        'react/jsx-closing-bracket-location': string;
        'react/jsx-closing-tag-location': string;
        'react/jsx-curly-newline': string;
        'react/jsx-curly-spacing': string;
        'react/jsx-equals-spacing': string;
        'react/jsx-first-prop-new-line': string;
        'react/jsx-indent': string;
        'react/jsx-indent-props': string;
        'react/jsx-max-props-per-line': string;
        'react/jsx-newline': string;
        'react/jsx-one-expression-per-line': string;
        'react/jsx-props-no-multi-spaces': string;
        'react/jsx-tag-spacing': string;
        'react/jsx-wrap-multilines': string;
        'react-hooks/exhaustive-deps': string;
        'react-hooks/rules-of-hooks': string;
        'react-perf/jsx-no-new-object-as-prop': string;
        'react-perf/jsx-no-new-array-as-prop': string;
        'react-perf/jsx-no-new-function-as-prop': string;
        'react-perf/jsx-no-jsx-as-prop': string;
        'react-redux/connect-prefer-minimum-two-arguments': string;
        'react-redux/connect-prefer-named-arguments': string;
        'react-redux/mapDispatchToProps-prefer-parameters-names': string;
        'react-redux/mapDispatchToProps-prefer-shorthand': string;
        'react-redux/mapDispatchToProps-returns-object': string;
        'react-redux/mapStateToProps-no-store': string;
        'react-redux/mapStateToProps-prefer-hoisted': string;
        'react-redux/mapStateToProps-prefer-parameters-names': string;
        'react-redux/mapStateToProps-prefer-selectors': string;
        'react-redux/no-unused-prop-types': string;
        'react-redux/prefer-separate-component-file': string;
        'react-redux/useSelector-prefer-selectors': string;
        'unicorn/no-null': string;
    };
};
export = _default;
