"use strict";
const utils_1 = require("./utils");
module.exports = {
    plugins: ['rxjs'],
    rules: {
        // plugin:rxjs **************************************************************
        // rules URL: https://github.com/cartant/eslint-plugin-rxjs
        'rxjs/ban-observables': (0, utils_1.OFF)(utils_1.PROJECT_BY_PROJECT),
        'rxjs/ban-operators': (0, utils_1.OFF)(utils_1.PROJECT_BY_PROJECT),
        'rxjs/finnish': [
            (0, utils_1.OFF)(utils_1.LARGE_PERFORMANCE_COST),
            {
                functions: false,
                methods: false,
                names: {
                    '^(canActivate|canActivateChild|canDeactivate|canLoad|intercept|resolve|validate)$': false,
                },
                parameters: true,
                properties: true,
                types: {
                    '^EventEmitter$': false,
                },
                variables: true,
            },
        ],
        'rxjs/just': utils_1.WARN,
        'rxjs/macro': (0, utils_1.OFF)(utils_1.NOT_RELEVANT),
        'rxjs/no-async-subscribe': utils_1.WARN,
        'rxjs/no-compat': utils_1.WARN,
        'rxjs/no-connectable': utils_1.WARN,
        'rxjs/no-create': utils_1.WARN,
        'rxjs/no-cyclic-action': utils_1.WARN,
        'rxjs/no-explicit-generics': utils_1.WARN,
        'rxjs/no-exposed-subjects': utils_1.WARN,
        'rxjs/no-finnish': (0, utils_1.SUCCESSOR)('rxjs/finnish'),
        'rxjs/no-ignored-error': utils_1.WARN,
        'rxjs/no-ignored-notifier': utils_1.WARN,
        'rxjs/no-ignored-observable': utils_1.WARN,
        'rxjs/no-ignored-replay-buffer': utils_1.WARN,
        'rxjs/no-ignored-subscribe': utils_1.WARN,
        'rxjs/no-ignored-subscription': (0, utils_1.OFF)('takeUntil pattern'),
        'rxjs/no-ignored-takewhile-value': utils_1.WARN,
        'rxjs/no-implicit-any-catch': utils_1.WARN,
        'rxjs/no-index': utils_1.WARN,
        'rxjs/no-internal': utils_1.WARN,
        'rxjs/no-nested-subscribe': utils_1.WARN,
        'rxjs/no-redundant-notify': utils_1.WARN,
        'rxjs/no-sharereplay': [utils_1.WARN, { allowConfig: true }],
        'rxjs/no-subclass': utils_1.WARN,
        'rxjs/no-subject-unsubscribe': utils_1.WARN,
        'rxjs/no-subject-value': (0, utils_1.OFF)(),
        'rxjs/no-topromise': utils_1.WARN,
        'rxjs/no-unbound-methods': utils_1.WARN,
        'rxjs/no-unsafe-catch': utils_1.WARN,
        'rxjs/no-unsafe-first': utils_1.WARN,
        'rxjs/no-unsafe-subject-next': utils_1.WARN,
        'rxjs/no-unsafe-switchmap': utils_1.WARN,
        'rxjs/no-unsafe-takeuntil': utils_1.WARN,
        'rxjs/prefer-observer': utils_1.WARN,
        'rxjs/suffix-subjects': (0, utils_1.OFF)(utils_1.LARGE_PERFORMANCE_COST),
        'rxjs/throw-error': utils_1.WARN,
    },
};
//# sourceMappingURL=rxjs.js.map