declare const _default: {
    extends: string;
    parser: string;
    plugins: string[];
    rules: {
        strict: string[];
        'constructor-super': string;
        'getter-return': string;
        'no-const-assign': string;
        'no-dupe-args': string;
        'no-dupe-keys': string;
        'no-func-assign': string;
        'no-new-symbol': string;
        'no-obj-calls': string;
        'no-this-before-super': string;
        'no-undef': string;
        'no-unreachable': string;
        'no-unsafe-negation': string;
        'valid-typeof': string;
        'brace-style': string;
        camelcase: string;
        'default-param-last': string;
        'dot-notation': string;
        'init-declarations': string;
        'no-dupe-class-members': string;
        'no-extra-parens': string;
        'no-extra-semi': string;
        'no-loss-of-precision': string;
        'no-empty-function': string;
        'no-implied-eval': string;
        'no-invalid-this': string;
        'no-loop-func': string;
        'no-magic-numbers': string;
        'no-redeclare': string;
        'no-shadow': string;
        'no-throw-literal': string;
        'no-unused-expressions': string;
        'no-unused-vars': string;
        'no-use-before-define': string;
        'comma-dangle': string;
        'comma-spacing': string;
        'func-call-spacing': string;
        indent: string;
        'keyword-spacing': string;
        'lines-between-class-members': string;
        'no-array-constructor': string;
        'no-duplicate-imports': string;
        'no-restricted-imports': string;
        'no-useless-constructor': string;
        'object-curly-spacing': string;
        'padding-line-between-statements': string;
        quotes: string;
        'require-await': string;
        semi: string;
        'space-before-blocks': string;
        'space-before-function-paren': string;
        'space-infix-ops': string;
        'import/named': string;
        'import/namespace': string;
        'import/default': string;
        'import/no-named-as-default-member': string;
        'import/no-unresolved': string;
        'jsdoc/no-types': string;
        'jsdoc/no-undefined-types': string;
        'jsdoc/require-param-type': string;
        'jsdoc/require-returns-type': string;
        '@typescript-eslint/brace-style': string;
        '@typescript-eslint/comma-dangle': string;
        '@typescript-eslint/comma-spacing': string;
        '@typescript-eslint/default-param-last': string;
        '@typescript-eslint/dot-notation': string;
        '@typescript-eslint/func-call-spacing': string;
        '@typescript-eslint/indent': string;
        '@typescript-eslint/init-declarations': string;
        '@typescript-eslint/keyword-spacing': string;
        '@typescript-eslint/lines-between-class-members': (string | {
            exceptAfterSingleLine: boolean;
        })[];
        '@typescript-eslint/no-array-constructor': string;
        '@typescript-eslint/no-dupe-class-members': string;
        '@typescript-eslint/no-duplicate-imports': string;
        '@typescript-eslint/no-empty-function': (string | {
            allow: string[];
        })[];
        '@typescript-eslint/no-extra-parens': string;
        '@typescript-eslint/no-extra-semi': string;
        '@typescript-eslint/no-implied-eval': string;
        '@typescript-eslint/no-invalid-this': string;
        '@typescript-eslint/no-loop-func': string;
        '@typescript-eslint/no-loss-of-precision': string;
        '@typescript-eslint/no-magic-numbers': string;
        '@typescript-eslint/no-redeclare': string;
        '@typescript-eslint/no-restricted-imports': readonly ["warn", {
            readonly paths: readonly [{
                readonly name: "lodash";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "lodash-es";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "fp-ts";
                readonly message: "Please use brandingbrand utilities.";
            }, {
                readonly name: "styled-components";
                readonly message: "Styled components has a large type checking cost.";
            }];
        }];
        '@typescript-eslint/no-shadow': string;
        '@typescript-eslint/no-throw-literal': string;
        '@typescript-eslint/no-unused-expressions': string;
        '@typescript-eslint/no-unused-vars': (string | {
            ignoreRestSiblings: boolean;
            argsIgnorePattern: string;
        })[];
        '@typescript-eslint/no-use-before-define': string;
        '@typescript-eslint/no-useless-constructor': string;
        '@typescript-eslint/object-curly-spacing': string;
        '@typescript-eslint/padding-line-between-statements': string;
        '@typescript-eslint/quotes': string;
        '@typescript-eslint/require-await': string;
        '@typescript-eslint/return-await': string;
        '@typescript-eslint/semi': string;
        '@typescript-eslint/space-before-blocks': string;
        '@typescript-eslint/space-before-function-paren': string;
        '@typescript-eslint/space-infix-ops': string;
        '@typescript-eslint/adjacent-overload-signatures': string;
        '@typescript-eslint/array-type': (string | {
            default: string;
        })[];
        '@typescript-eslint/await-thenable': string;
        '@typescript-eslint/ban-ts-comment': (string | {
            'ts-expect-error': string;
            'ts-ignore': string;
        })[];
        '@typescript-eslint/ban-tslint-comment': string;
        '@typescript-eslint/ban-types': string;
        '@typescript-eslint/class-literal-property-style': string;
        '@typescript-eslint/consistent-generic-constructors': string;
        '@typescript-eslint/consistent-indexed-object-style': string;
        '@typescript-eslint/consistent-type-assertions': (string | {
            assertionStyle: string;
            objectLiteralTypeAssertions: string;
        })[];
        '@typescript-eslint/consistent-type-definitions': string[];
        '@typescript-eslint/consistent-type-exports': string;
        '@typescript-eslint/consistent-type-imports': (string | {
            prefer: string;
            disallowTypeAnnotations: boolean;
        })[];
        '@typescript-eslint/explicit-function-return-type': (string | {
            allowExpressions: boolean;
            allowHigherOrderFunctions: boolean;
            allowTypedFunctionExpressions: boolean;
            allowDirectConstAssertionInArrowFunctions: boolean;
            allowConciseArrowFunctionExpressionsStartingWithVoid: boolean;
        })[];
        '@typescript-eslint/explicit-member-accessibility': (string | {
            accessibility: string;
            overrides: {
                accessors: string;
                constructors: string;
                methods: string;
                properties: string;
                parameterProperties: string;
            };
        })[];
        '@typescript-eslint/explicit-module-boundary-types': string;
        '@typescript-eslint/member-delimiter-style': string;
        '@typescript-eslint/member-ordering': (string | {
            default: string[];
        })[];
        '@typescript-eslint/method-signature-style': string;
        '@typescript-eslint/naming-convention': (string | {
            selector: string[];
            format: string[];
            filter: {
                regex: string;
                match: boolean;
            };
            /**
             * Using leading underscores to denote private members is an
             * anti-pattern. This provides the illusion of privacy despite
             * in many cases external systems being built on top of that
             * implementation.
             *
             * In TypeScript we have member access modifiers in classes
             * which can provide design time privacy, and for true privacy
             * ES2019 Private Members can be leveraged.
             *
             * @see https://www.hyrumslaw.com
             */
            leadingUnderscore: string;
            types?: undefined;
            prefix?: undefined;
            custom?: undefined;
            modifiers?: undefined;
        } | {
            selector: string[];
            format: string[];
            /**
             * Using leading underscores to denote private variables is an
             * anti-pattern. This provides the illusion of privacy despite
             * in many cases external systems being built on top of that
             * implementation.
             *
             * Use symbols, reflection or other true private mechanism to
             * ensure true privacy.
             *
             * @see https://www.hyrumslaw.com
             */
            leadingUnderscore: string;
            filter?: undefined;
            types?: undefined;
            prefix?: undefined;
            custom?: undefined;
            modifiers?: undefined;
        } | {
            selector: string[];
            types: string[];
            format: string[];
            prefix: string[];
            /**
             * Using leading underscores to denote private variables is an
             * anti-pattern. This provides the illusion of privacy despite
             * in many cases external systems being built on top of that
             * implementation.
             *
             * Use symbols, reflection or other true private mechanism to
             * ensure true privacy.
             *
             * @see https://www.hyrumslaw.com
             */
            leadingUnderscore: string;
            filter?: undefined;
            custom?: undefined;
            modifiers?: undefined;
        } | {
            selector: string[];
            format: string[];
            custom: {
                regex: string;
                match: boolean;
            };
            /**
             * Unlike parameters, type parameters are either inferred or
             * explicitly defined. They cannot be defined such that they
             * are compatible with an interface.
             *
             * To that end, there is no valid use case for an unused type
             * parameter
             */
            leadingUnderscore: string;
            filter?: undefined;
            types?: undefined;
            prefix?: undefined;
            modifiers?: undefined;
        } | {
            selector: string;
            modifiers: string[];
            format: null;
            filter?: undefined;
            /**
             * Unlike parameters, type parameters are either inferred or
             * explicitly defined. They cannot be defined such that they
             * are compatible with an interface.
             *
             * To that end, there is no valid use case for an unused type
             * parameter
             */
            leadingUnderscore?: undefined;
            types?: undefined;
            prefix?: undefined;
            custom?: undefined;
        })[];
        '@typescript-eslint/no-base-to-string': string;
        '@typescript-eslint/no-confusing-non-null-assertion': string;
        '@typescript-eslint/no-confusing-void-expression': string;
        '@typescript-eslint/no-duplicate-enum-values': string;
        '@typescript-eslint/no-dynamic-delete': string;
        '@typescript-eslint/no-empty-interface': string;
        '@typescript-eslint/no-explicit-any': (string | {
            fixToUnknown: boolean;
            ignoreRestArgs: boolean;
        })[];
        '@typescript-eslint/no-extra-non-null-assertion': string;
        '@typescript-eslint/no-extraneous-class': (string | {
            allowWithDecorator: boolean;
            allowConstructorOnly: boolean;
        })[];
        '@typescript-eslint/no-floating-promises': string;
        '@typescript-eslint/no-for-in-array': string;
        '@typescript-eslint/no-implicit-any-catch': string;
        '@typescript-eslint/no-inferrable-types': string;
        '@typescript-eslint/no-invalid-void-type': string;
        '@typescript-eslint/no-meaningless-void-operator': string;
        '@typescript-eslint/no-misused-new': string;
        '@typescript-eslint/no-misused-promises': string;
        '@typescript-eslint/no-namespace': (string | {
            allowDeclarations: boolean;
        })[];
        '@typescript-eslint/no-non-null-asserted-optional-chain': string;
        '@typescript-eslint/no-non-null-asserted-nullish-coalescing': string;
        '@typescript-eslint/no-non-null-assertion': string;
        '@typescript-eslint/no-parameter-properties': string;
        '@typescript-eslint/no-redundant-type-constituents': string;
        '@typescript-eslint/no-require-imports': string;
        '@typescript-eslint/no-this-alias': string;
        '@typescript-eslint/no-type-alias': string;
        '@typescript-eslint/no-unnecessary-boolean-literal-compare': string;
        '@typescript-eslint/no-unnecessary-condition': string;
        '@typescript-eslint/no-unnecessary-qualifier': string;
        '@typescript-eslint/no-unnecessary-type-arguments': string;
        '@typescript-eslint/no-unnecessary-type-assertion': string;
        '@typescript-eslint/no-unnecessary-type-constraint': string;
        '@typescript-eslint/no-unsafe-assignment': string;
        '@typescript-eslint/no-unsafe-call': string;
        '@typescript-eslint/no-unsafe-member-access': string;
        '@typescript-eslint/no-unsafe-return': string;
        '@typescript-eslint/no-unsafe-argument': string;
        '@typescript-eslint/no-useless-empty-export': string;
        '@typescript-eslint/non-nullable-type-assertion-style': string;
        '@typescript-eslint/no-var-requires': string;
        '@typescript-eslint/parameter-properties': string;
        '@typescript-eslint/prefer-as-const': string;
        '@typescript-eslint/prefer-enum-initializers': string;
        '@typescript-eslint/prefer-for-of': string;
        '@typescript-eslint/prefer-function-type': string;
        '@typescript-eslint/prefer-includes': string;
        '@typescript-eslint/prefer-literal-enum-member': string;
        '@typescript-eslint/prefer-namespace-keyword': string;
        '@typescript-eslint/prefer-nullish-coalescing': string;
        '@typescript-eslint/prefer-optional-chain': string;
        '@typescript-eslint/prefer-readonly': string;
        '@typescript-eslint/prefer-readonly-parameter-types': string;
        '@typescript-eslint/prefer-reduce-type-parameter': string;
        '@typescript-eslint/prefer-regexp-exec': string;
        '@typescript-eslint/prefer-return-this-type': string;
        '@typescript-eslint/prefer-string-starts-ends-with': string;
        '@typescript-eslint/prefer-ts-expect-error': string;
        '@typescript-eslint/promise-function-async': string;
        '@typescript-eslint/require-array-sort-compare': (string | {
            ignoreStringArrays: boolean;
        })[];
        '@typescript-eslint/restrict-plus-operands': (string | {
            checkCompoundAssignments: boolean;
        })[];
        '@typescript-eslint/restrict-template-expressions': string;
        '@typescript-eslint/sort-type-union-intersection-members': string;
        '@typescript-eslint/strict-boolean-expressions': string;
        '@typescript-eslint/switch-exhaustiveness-check': string;
        '@typescript-eslint/triple-slash-reference': string;
        '@typescript-eslint/type-annotation-spacing': string;
        '@typescript-eslint/typedef': string;
        '@typescript-eslint/unbound-method': (string | {
            ignoreStatic: boolean;
        })[];
        '@typescript-eslint/unified-signatures': string;
    };
    overrides: {
        files: string[];
        rules: {
            'import/no-anonymous-default-export': string;
            '@typescript-eslint/naming-convention': string;
        };
    }[];
};
export = _default;
